Show / Hide Table of Contents

# Class ConnectionSummaryComparer

Treats connections as the same if their server, db and usernames all match

##### Inheritance

System.Object
ConnectionSummaryComparer

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace:Microsoft.SqlTools.ServiceLayer.Connection.Contracts

###### Assembly:Microsoft.SqlTools.ServiceLayer.dll

##### Syntax

    public class ConnectionSummaryComparer : IEqualityComparer<ConnectionSummary>

### Methods

| Improve this Doc View Source

#### Equals(ConnectionSummary, ConnectionSummary)

##### Declaration

    public bool Equals(ConnectionSummary x, ConnectionSummary y)

##### Parameters

Type | Name | Description
--- | --- | ---
ConnectionSummary | x |
ConnectionSummary | y |

##### Returns

Type | Description
--- | ---
System.Boolean |

##### Implements

System.Collections.Generic.IEqualityComparer<T>.Equals(T, T)
| Improve this Doc View Source

#### GetHashCode(ConnectionSummary)

##### Declaration

    public int GetHashCode(ConnectionSummary obj)

##### Parameters

Type | Name | Description
--- | --- | ---
ConnectionSummary | obj |

##### Returns

Type | Description
--- | ---
System.Int32 |

##### Implements

System.Collections.Generic.IEqualityComparer<T>.GetHashCode(T)